# CompanyNewsInformation Struct Reference

Data that needs to be stored for company news messages. More...

`#include <news_type.h>`

## Public Member Functions
void | FillData (const struct Company *c, const struct Company *other=NULL)
## Data Fields
char | company_name [64]
| The name of the company.
char | president_name [64]
| The name of the president.
char | other_company_name [64]
| The name of the company taking over this one.
uint32 | face
| The face of the president.
byte | colour
| The colour related to the company.

## Detailed Description

Data that needs to be stored for company news messages.

The problem with company news messages are the custom name of the companies and the fact that the company data is reset, resulting in wrong names and such.

Definition at line 161 of file news_type.h.

The documentation for this struct was generated from the following file:

- src/news_type.h